Package: org.grails.encoder

## [Java] Interface StreamingEncoder

- org.grails.encoder.CodecIdentifierProvider

- All Superinterfaces:
    Encoder, CodecIdentifierProvider

      public interface StreamingEncoder
      extends Encoder

  Streaming encoder interface that makes it possible to encode a portion of a CharSequence and append it directly to the EncodedAppender instance. This solution makes it possible to just check if the input is ok and only replace the characters in the input that have to be escaped.

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)` Encode and append portion of source CharSequence to the appender.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Encoder` | `encode, isApplyToSafelyEncoded, isSafe, markEncoded`
    `interface CodecIdentifierProvider` | `getCodecIdentifier`

- - ### Method Detail

    - #### public void encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)

      Encode and append portion of source CharSequence to the appender.

      throws:
        IOException Signals that an I/O exception has occurred.
      Parameters:
        `source` - The source CharSequence
        `offset` - Offset from which to start encoding characters
        `len` - Number of characters to encode
        `appender` - the appender to write to
        `encodingState` - the current encoding state